summaryrefslogtreecommitdiff
path: root/kvm-mustang-host
diff options
context:
space:
mode:
authorRiku Voipio <riku.voipio@linaro.org>2014-06-25 14:28:37 +0300
committerRiku Voipio <riku.voipio@linaro.org>2014-06-25 14:28:37 +0300
commitfb80a1410421dd88e6fdf76583f33def18eb0ec9 (patch)
treef4ee11cc95a4699d1c3577ecfed546b26ecbb82f /kvm-mustang-host
parentcf945f99753b6bbf3f60b3755b67dc70edf6f4ff (diff)
total rewrite
Diffstat (limited to 'kvm-mustang-host')
-rwxr-xr-xkvm-mustang-host36
1 files changed, 36 insertions, 0 deletions
diff --git a/kvm-mustang-host b/kvm-mustang-host
new file mode 100755
index 0000000..20d4cd1
--- /dev/null
+++ b/kvm-mustang-host
@@ -0,0 +1,36 @@
+#!/bin/bash
+set -e
+LAVA_NAME=${BUILD_URL:-"linux-kvm-test"}
+
+rm -rf lci-build-tools builddir-* *gz *deb hwpack*
+git clone https://git.linaro.org/ci/lci-build-tools.git
+
+export MAKE_DTBS="true"
+export ARCH=arm64
+export kernel_config="xgene_defconfig"
+export make_deb="false"
+export board_type='mustang'
+export hwpack_type='mustang'
+export kernel_flavour='mustang'
+export git_reset='no'
+
+# jenkins needs a different directory for build due to git juggling
+if [ ! -z ${WORKSPACE} ]
+then
+ export WORKSPACE=${WORKSPACE}/build
+fi
+./lci-build-tools/jenkins_kernel_build_inst
+
+builddir=`echo builddir-*`
+mkimage -A arm -O linux -C none -T kernel -a 0x00080000 -e 0x00080000 -n Linux -d ${builddir}/arch/arm64/boot/Image ${builddir}/arch/arm64/boot/uImage
+cp ${builddir}/arch/arm64/boot/dts/apm-mustang.dtb ..
+cp ${builddir}/arch/arm64/boot/uImage ..
+cp ${builddir}/arch/arm64/boot/Image ..
+
+cat << EOF > ../BUILD-INFO.txt
+Format-Version: 0.1
+
+Files-Pattern: *
+License-Type: open
+EOF
+